Latest 1.4.1
Homepage https://github.com/pusher/chatkit-swift
License MIT
Platforms ios 10.0, osx 10.11, tvos 9.0, watchos 2.0, requires ARC
Dependencies PusherPlatform
Authors

PusherChatkit (chatkit-swift)

Build Status
Read the docs
Twitter
Carthage
CocoaPods
GitHub license

Find out more about Chatkit here.

Building and Running

Minimum Requirements

  • Xcode – The easiest way to get Xcode is from the App Store, but you can also download it from developer.apple.com if you have an AppleID registered with an Apple Developer account.

  • Swift version 4.1 and above

  • iOS version 10.0

Before building & running in Xcode, install all of the required dependencies with Carthage or CocoaPods.

Installation

CocoaPods

CocoaPods is a dependency manager for Cocoa projects. You can install it with the following command:

$ gem install cocoapods

To integrate Chatkit into your Xcode project using CocoaPods, specify it in your Podfile:

source 'https://github.com/CocoaPods/Specs.git'
platform :ios, '11.0'
use_frameworks!

# Replace `<Your Target Name>` with your app's target name.
target '<Your Target Name>' do
  pod 'PusherChatkit'
end

Then, run the following command:

$ pod install

You might need to use the --repo-update flag to ensure the specs repository is aware of the latest version of PusherChatkit.

Carthage

Carthage is a decentralized dependency manager that builds your dependencies and provides you with binary frameworks.

You can install Carthage with Homebrew using the following command:

$ brew update
$ brew install carthage

To integrate Chatkit into your Xcode project using Carthage, specify it in your Cartfile:

github "pusher/chatkit-swift"

Run carthage update to build the framework and drag the built PusherChatkit.framework and PusherPlatform.framework into your Xcode project.

Deprecated versions

Versions of the library below
1.0.0 are
deprecated and support for them will soon be dropped.

It is highly recommended that you upgrade to the latest version if you’re on
an older version. To view a list of changes, please refer to the
CHANGELOG.

Getting started

Head over to our documentation.

Running tests

Some of the tests require a valid Chatkit instance locator, key, and token provider URL.

To set this up, run the following command:

cp Tests/Config/TestConfigExample.swift Tests/Config/TestConfig.swift

Then edit Tests/Config/TestConfig.swift to include a valid Chatkit instance locator, key, and token provider URL.

Communication

  • Found a bug? Please open an issue.
  • Have a feature request. Please open an issue.
  • If you want to contribute, please submit a pull request (preferrably with some tests 🙂 ).

Credits

PusherChatkit is owned and maintained by Pusher.

License

PusherChatkit is released under the MIT license. See LICENSE for details.

Latest podspec

{
    "name": "PusherChatkit",
    "version": "1.4.1",
    "summary": "Pusher Chatkit SDK in Swift",
    "homepage": "https://github.com/pusher/chatkit-swift",
    "license": "MIT",
    "authors": {
        "Hamilton Chapman": "[email protected]"
    },
    "source": {
        "git": "https://github.com/pusher/chatkit-swift.git",
        "tag": "1.4.1"
    },
    "social_media_url": "https://twitter.com/pusher",
    "requires_arc": true,
    "source_files": "Sources/*.swift",
    "dependencies": {
        "PusherPlatform": [
            "~> 0.7.1"
        ]
    },
    "ios": {
        "dependencies": {
            "BeamsChatkit": [
                "~> 1.2"
            ]
        }
    },
    "osx": {
        "dependencies": {
            "BeamsChatkit": [
                "~> 1.2"
            ]
        }
    },
    "platforms": {
        "ios": "10.0",
        "osx": "10.11",
        "tvos": "9.0",
        "watchos": "2.0"
    }
}

Pin It on Pinterest

Share This